On this page

# Get account settings

This endpoint allows users to get account margin and leverage settings (if they are not at default values)

    GET /api/v1/account/settings

####
Query Parameters

Field
Type
Need
Description
Example

`"account"`

string

required

Account address

`42trU9A5...`

    /api/v1/account/settings?account=42trU9A5...

####
Response

NOTE: Upon account creation, all markets have margin settings default to cross margin and leverage default to max. When querying this endpoint, all markets with default margin and leverage settings on this account will return blank.

- Status 200: Successfully retrieved account settings

      [
        {
          "symbol": "ETH",
          "isolated": true,
          "leverage": 30,
          "created_at": 1748936203604,
          "updated_at": 1748936203604
        }
      ]

Field
Type
Description

`"symbol"`

string

Trading pair symbol

`"isolated"`

boolean

If the account is set to isolated margining for this symbol

`"leverage"`

integer

Current leverage set by the user (default to max)

`"created_at"`

integer

Timestamp in milliseconds when these settings were adjusted from their default

`"updated_at"`

integer

Timestamp in milliseconds when these settings were last updated

- Status 400: Invalid request parameters

- Status 401: Unauthorized access

- Status 500: Internal server error

####
Code Example (Python)

    import requests

    response = requests.get(
        "/api/v1/account/settings?account=42trU9A5...",
        headers={"Accept": "*/*"},
    )

    data = response.json()

PreviousGet account info
NextUpdate leverage

Last updated 3 months ago